#!/bin/sh

type=$1
devtype=$2
devname=$3
devpath="/dev/"$3
devno=$4
mntpath=""
content=""
mediadir="/tmp/media"
ret=0


if [[ $type == "device" ]];then
	content=$devname" "$devtype" F"	
    /bin/mkdir -p $mediadir
	/bin/echo $content >> /tmp/media/device.txt
elif [[ $type == "partition" ]];then
	mntpath=$mediadir"/"$devtype$devno
	/bin/mkdir -p $mntpath > /dev/null 1>&2
	if [[ $devtype == "mmc" ]];then
		/bin/mount -t ext4 -o rw $devpath $mntpath
	elif [[ $devtype == "usb" ]];then
		/bin/mount -t ext4 -o rw $devpath $mntpath
	elif [[ $devtype == "harddisk" ]];then
		/bin/mount -t ext4 -o rw $devpath $mntpath
	fi
	ret=$?		
	content=$devpath" "$mntpath" "$devtype" F"
	if [ $ret -eq 0 ];then
		/bin/echo $content >> /tmp/media/partition.txt
	fi 
fi

/bin/sync
